<p>
  <mat-form-field>
    <mat-select
      [formControl]="ctrl"
      [placeholder]="placeholder"
      #singleSelect
      (selectionChange)="onSelect(ctrl)"
    >
      <mat-option>
        <ngx-mat-select-search [formControl]="filterCtrl"></ngx-mat-select-search>
      </mat-option>

      <mat-option *ngFor="let uni of filtereduniversity | async" [value]="uni">
        {{ uni.name }}
      </mat-option>
    </mat-select>
  </mat-form-field>
</p>
